--[[----------------------------------------------------------------------------

WFTableArchiving.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2003 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

	-- WF.core.table
local WFTableArchivingImp = require 'WFTableArchivingImp'


--============================================================================--

-- @mark WFTableArchiving namespace

local WFTableArchiving = {}

---------------------------------------------------------------------------------

function WFTableArchiving.tableToString( t )

	if type( t ) ~= 'table' then
		error( "WFTableArchiving.tableToString: not a table", 2 )
	end
	
	return WFTableArchivingImp.tableToString( t )

end

---------------------------------------------------------------------------------

function WFTableArchiving.debugTableToString( t )

	if type( t ) ~= 'table' then
		error( "WFTableArchiving.debugTableToString: not a table", 2 )
	end
	
	return WFTableArchivingImp.tableToString( t, true )

end

---------------------------------------------------------------------------------

function WFTableArchiving.isArchive( str )

	if type( str ) ~= 'string' then
		return false
	end
	
	local firstByte, secondByte = string.byte( str, 1, 2 )

	return firstByte == 0x7b -- {
		and secondByte == 0x0A -- \n

end

--------------------------------------------------------------------------------

return WFTableArchiving
